diff --git a/src/backend/access/common/reloptions.c b/src/backend/access/common/reloptions.c
index c5fa529..bcdeb36 100644
*** a/src/backend/access/common/reloptions.c
--- b/src/backend/access/common/reloptions.c
*************** static relopt_int intRelOpts[] =
*** 116,122 ****
  		{
  			"autovacuum_analyze_threshold",
  			"Minimum number of tuple inserts, updates or deletes prior to analyze",
! 			RELOPT_KIND_HEAP | RELOPT_KIND_TOAST
  		},
  		-1, 0, INT_MAX
  	},
--- 116,122 ----
  		{
  			"autovacuum_analyze_threshold",
  			"Minimum number of tuple inserts, updates or deletes prior to analyze",
! 			RELOPT_KIND_HEAP
  		},
  		-1, 0, INT_MAX
  	},
*************** default_reloptions(Datum reloptions, boo
*** 1156,1165 ****
  bytea *
  heap_reloptions(char relkind, Datum reloptions, bool validate)
  {
  	switch (relkind)
  	{
  		case RELKIND_TOASTVALUE:
! 			return default_reloptions(reloptions, validate, RELOPT_KIND_TOAST);
  		case RELKIND_RELATION:
  			return default_reloptions(reloptions, validate, RELOPT_KIND_HEAP);
  		default:
--- 1156,1175 ----
  bytea *
  heap_reloptions(char relkind, Datum reloptions, bool validate)
  {
+ 	StdRdOptions *rdopts;
+ 
  	switch (relkind)
  	{
  		case RELKIND_TOASTVALUE:
! 			rdopts = (StdRdOptions *)
! 				default_reloptions(reloptions, validate, RELOPT_KIND_TOAST);
! 			if (rdopts != NULL)
! 			{
! 				/* adjust default-only parameters */
! 				rdopts->fillfactor = 100;
! 				rdopts->autovacuum.analyze_threshold = -1;
! 			}
! 			return (bytea *) rdopts;
  		case RELKIND_RELATION:
  			return default_reloptions(reloptions, validate, RELOPT_KIND_HEAP);
  		default:
